# Generated by Django 3.2.9 on 2021-12-18 13:26

import PlantDiseaseApp.functions
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('PlantDiseaseApp', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='positioninginfo',
            name='temperature_max',
        ),
        migrations.RemoveField(
            model_name='positioninginfo',
            name='temperature_min',
        ),
        migrations.RemoveField(
            model_name='reply',
            name='calculatedValues',
        ),
        migrations.RemoveField(
            model_name='reply',
            name='climateInfo',
        ),
        migrations.RemoveField(
            model_name='reply',
            name='cultureInfo',
        ),
        migrations.RemoveField(
            model_name='reply',
            name='message',
        ),
        migrations.RemoveField(
            model_name='request',
            name='type',
        ),
        migrations.AddField(
            model_name='reply',
            name='additionalInformation',
            field=models.TextField(max_length=3000, null=True),
        ),
        migrations.AddField(
            model_name='reply',
            name='diseaseFirst',
            field=models.TextField(max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='reply',
            name='diseaseSecond',
            field=models.TextField(max_length=50, null=True),
        ),
        migrations.AddField(
            model_name='reply',
            name='image',
            field=models.ImageField(default='post', upload_to=PlantDiseaseApp.functions.upload_to, verbose_name='image'),
        ),
        migrations.AddField(
            model_name='reply',
            name='prevention',
            field=models.TextField(max_length=3000, null=True),
        ),
        migrations.AddField(
            model_name='reply',
            name='probabilityDiseaseFirst',
            field=models.FloatField(null=True),
        ),
        migrations.AddField(
            model_name='reply',
            name='probabilityDiseaseSecond',
            field=models.FloatField(null=True),
        ),
        migrations.AddField(
            model_name='reply',
            name='symptoms',
            field=models.TextField(max_length=3000, null=True),
        ),
        migrations.AddField(
            model_name='reply',
            name='treatment',
            field=models.TextField(max_length=3000, null=True),
        ),
        migrations.AddField(
            model_name='request',
            name='date',
            field=models.DateField(null=True),
        ),
        migrations.AlterField(
            model_name='request',
            name='image',
            field=models.ImageField(upload_to=PlantDiseaseApp.functions.upload_to),
        ),
    ]
